# RPM spec file for Gtk2HS   -*-rpm-spec-*-
#
# Copyright [2001..2002] Manuel M T Chakravarty <chak@cse.unsw.edu.au>
# Copyright 2002, 2003, 2004 Jens-Ulrik Holger Petersen <petersen@haskell.org>
# Copytight 2004 Vitaly Lugovsky <vsl@altlinux.ru>
# Copyfight 2005 Alex Myltsev <avm@altlinux.ru>

Summary: Haskell binding for the GIMP Toolkit (GTK2), a GUI library
Name: gtk2hs
Version: 0.9.10
Release: alt2
License: LGPL
Group: Development/Haskell
Source: gtk2hs-%version.tar.gz
#Patch: gtk2hs-%version-ffifix.patch
Patch1: gtk2hs-0.9.5-docbookhack.patch
Patch2: gtk2hs-0.9.10-alt-configure.patch
Url: http://gtk2hs.sourceforge.net/

BuildPreReq: ghc >= 6.4.2

# Added by buildreq2 on Чтв Фев 16 2006
BuildRequires: libGConf2-devel libglade2-devel libgtksourceview-devel gnome-libs-devel

Requires: ghc = %ghc_version
Requires: libGConf2-devel libglade2-devel libgtksourceview-devel libcairo-devel

%description
A Gtk2 binding for the functional language Haskell featuring
automatic memory management, unicode support, and quite wide
coverage of widget functions and their signals, including
the new text and list widgets.  The convenience wrapper
MoGuL (Monad Gui Library) makes it possible to create and
lookup named widgets in a type safe way.

This package contains the libraries compiled for ghc-%ghc_version.

%package doc
Summary: Haskell binding for the GIMP Toolkit (GTK2), a GUI library
Group: Development/Haskell

%description doc
A Gtk2 binding for the functional language Haskell featuring
automatic memory management, unicode support, and quite wide
coverage of widget functions and their signals, including
the new text and list widgets.  The convenience wrapper
MoGuL (Monad Gui Library) makes it possible to create and
lookup named widgets in a type safe way.

This package contains the gtk2hs documentation.

%prep
%setup -q
#%patch -p1
#%patch1 -p1
%patch2 -p1

%build
%define docbookdir %_datadir/xml/docbook
./configure --with-hc=ghc-%ghc_version --with-hcflags="-O" --without-pkgreg \
	--enable-packager-mode --enable-libglade --enable-gconf \
	--enable-sourceview --enable-cairo \
	--with-catalog=%docbookdir/catalog \
	--with-html=%docbookdir/xsl-stylesheets-1.64.0/xhtml/chunk.xsl \
	--with-fo=%docbookdir/xsl-stylesheets-1.64.0/fo/docbook.xsl

make prefix=%prefix libdir=%_libdir/ghc-%ghc_version

%install
make DESTDIR=%buildroot prefix=%prefix libdir=%_libdir/ghc-%ghc_version install

# hack to avoid demo binaries in docs
make clean MAKE_GOALS="demo/concurrent demo/treeList demo/graphic demo/unicode demo/hello demo/sourceview"

%post
%define package_desc_dir %_ghclibdir/%name
%define install_package ghc-pkg-%ghc_version >/dev/null update -g 

%install_package %package_desc_dir/glib.package.conf
%install_package %package_desc_dir/cairo.package.conf
%install_package %package_desc_dir/gtk.package.conf
%install_package %package_desc_dir/sourceview.package.conf
%install_package %package_desc_dir/mogul.package.conf
%install_package %package_desc_dir/glade.package.conf
%install_package %package_desc_dir/gconf.package.conf

%preun
%define uninstall_package ghc-pkg-%ghc_version -r
%define o_dir %_ghclibdir/%name

if [ "$1" = 0 ]; then
  rm -f %o_dir/HS{cairo,glib,gtk,mogul,glade,gconf,sourceview}.o
  ghc-pkg-%ghc_version -r gconf >/dev/null || :
  ghc-pkg-%ghc_version -r glade >/dev/null || :
  ghc-pkg-%ghc_version -r mogul >/dev/null || :
  ghc-pkg-%ghc_version -r sourceview >/dev/null || :
  ghc-pkg-%ghc_version -r gtk >/dev/null || :
  ghc-pkg-%ghc_version -r cairo >/dev/null || :
  ghc-pkg-%ghc_version -r glib >/dev/null || :
fi

%files
%_ghclibdir/*
%doc ChangeLog TODO AUTHORS COPYING.LIB

%files doc
%doc demo

%changelog
* Mon Jun 05 2006 Alex V. Myltsev <avm@altlinux.ru> 0.9.10-alt2
- Fixed installation scripts.

* Wed Feb 15 2006 Alex V. Myltsev <avm@altlinux.ru> 0.9.10-alt1
- Fixed dependency issues.

* Mon Jan 02 2006 Alex V. Myltsev <avm@altlinux.ru> 0.9.10-alt0
- New version.

* Thu May 13 2004 Vitaly Lugovsky <vsl@altlinux.ru> 0.9.5-alt2
- rebuild

* Thu Apr 29 2004 Vitaly Lugovsky <vsl@altlinux.ru> 0.9.5-alt1
- a new version

* Fri Apr 02 2004 Vitaly Lugovsky <vsl@altlinux.ru> 0.9.4-alt1
- ported to the ALTLinux environment
- ported to the GHC 6.2 (some FFI changes)

* Tue Nov 11 2003 Jens Petersen <petersen@haskell.org>
- use %%c2hs instead of "--with c2hs" to configure c2hs program
- clean demo to avoid binary files in docs dir

* Mon Nov  3 2003 Jens Petersen <petersen@haskell.org>
- add sourceview package to %%post and %%preun
- install gtksourceview haskell.lang language-spec

* Thu Jul 31 2003 Jens Petersen <petersen@haskell.org>
- build with ghc-6.0.1
- put demo dir in docs dir rather than individual source files

* Thu Jul 10 2003 Jens Petersen <petersen@haskell.org>
- build with ghc-6.0
- name ghc subpackage "ghc%%{ghc_version}"

* Wed Jun 18 2003 Jens Petersen <petersen@haskell.org>
- require and buildrequire %_bindir/ghc-%%{ghc_version}

* Wed May 21 2003 Jens Petersen <petersen@haskell.org>
- add -g option to ghc-pkg -u so that ghci object gets generated
- delete them when uninstalling
- build and include mogul documentation

* Thu May 15 2003 Jens Petersen <petersen@haskell.org>
- use new DESTDIR make variable, so no longer need to fix config files in post
- remove buildroot before install
- build and include gtk docs

* Fri Jan 10 2003 Jens Petersen <petersen@haskell.org>
- made into .spec.in file
- let configure set the version
- update description
- introduce --with-c2hs rpmbuild option
- use perl to remove buildroot traces from package conf files
- simplify ghc-pkg update commands

* Tue Dec 17 2002 Jens Petersen <petersen@haskell.org>
- latest cvs with ghc 5.04.2

* Thu Sep 26 2002 Jens Petersen
- build with ghc-5.04.1

* Fri Aug  2 2002 Jens Petersen
- only include demo source in doc dir

* Fri Jul 26 2002 Jens Petersen
- build with ghc-5.04
- cvs update

* Wed Jul 10 2002 Jens Petersen
- my current branch

* Wed May  1 2002 Jens Petersen
- patch TreeViewColumn.chs to make it usable

* Tue Apr 23 2002 Jens Petersen
- 0.9.0
- update gtk2 and mogul ghc-pkg entries on upgrade

* Fri Apr 12 2002 Jens Petersen
- adapt for gtk2hs
- fix mk files for buildroot install
- post and postun scriptlets for pkg config

* Tue Mar 12 2002 Manuel Chakravarty
- require a specific Haskell compiler (namely, the one for which the packages
  was compiled)

* Sat Feb 17 2001 Manuel Chakravarty
- derived from C->Haskell's .spec file
